GroovyPageParser (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageParser

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageParser

All Implemented Interfaces:
  Tokens

    public class GroovyPageParser
    extends java.lang.Object

NOTE: Based on work done by the GSP standalone project (https://gsp.dev.java.net/). Parsing implementation for GSP files

Authors:
  Troy Heninger
  Graeme Rocher
  Lari Hotari

Field Summary
`static java.lang.String` | `CODEC_DIRECTIVE_POSTFIX`
`static java.lang.String` | `CONFIG_PROPERTY_DEFAULT_CODEC`
`static java.lang.String` | `CONFIG_PROPERTY_GSP_CODECS`
`static java.lang.String` | `CONFIG_PROPERTY_GSP_ENCODING`
`static java.lang.String` | `CONFIG_PROPERTY_GSP_KEEPGENERATED_DIR`
`static java.lang.String` | `CONFIG_PROPERTY_GSP_SITEMESH_PREPROCESS`
`static java.lang.String` | `CONSTANT_NAME_CONTENT_TYPE`
`static java.lang.String` | `CONSTANT_NAME_EXPRESSION_CODEC`
`static java.lang.String` | `CONSTANT_NAME_JSP_TAGS`
`static java.lang.String` | `CONSTANT_NAME_LAST_MODIFIED`
`static java.lang.String` | `CONSTANT_NAME_OUT_CODEC`
`static java.lang.String` | `CONSTANT_NAME_STATIC_CODEC`
`static java.lang.String` | `CONSTANT_NAME_TAGLIB_CODEC`
`static java.lang.String` | `DEFAULT_ENCODING`
`static java.lang.String[]` | `DEFAULT_IMPORTS`
`static java.lang.String` | `GROOVY_SOURCE_CHAR_ENCODING`
`static org.apache.commons.logging.Log` | `LOG`

Method Summary
`java.lang.Object` | `GroovyPageParser(java.lang.String name, java.lang.String uri, java.lang.String filename, java.io.InputStream in, java.lang.String encoding, java.lang.String expressionCodecName)`
`java.lang.Object` | `GroovyPageParser(java.lang.String name, java.lang.String uri, java.lang.String filename, java.io.InputStream in)`
`void` | `flushTagBuffering()`
`void` | `generateGsp(java.io.Writer target)`
`void` | `generateGsp(java.io.Writer target, boolean precompileMode)`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getContentType()`
`int` | `getCurrentOutputLineNumber()`
`java.lang.String` | `getExpressionCodecDirectiveValue()`
`java.lang.String` | `getExpressionText(java.lang.String text)` Returns an expression text for the given expression
`java.lang.String` | `getExpressionText(java.lang.String text, boolean _safeDereference)`
`java.util.List` | `getHtmlParts()`
`java.lang.String[]` | `getHtmlPartsArray()`
`java.util.Map` | `getJspTags()`
`long` | `getLastModified()`
`int[]` | `getLineNumberMatrix()`
`java.lang.String` | `getOutCodecDirectiveValue()`
`java.lang.String` | `getPackageName()`
`java.lang.String` | `getPageName()`
`java.lang.String` | `getStaticCodecDirectiveValue()`
`java.lang.String` | `getTaglibCodecDirectiveValue()`
`boolean` | `isInClosure()`
`java.io.InputStream` | `parse()`
`void` | `setClassName(java.lang.String className)`
`void` | `setEnableSitemeshPreprocessing(boolean enableSitemeshPreprocessing)`
`void` | `setGspEncoding(java.lang.String gspEncoding)`
`void` | `setKeepGeneratedDirectory(java.io.File keepGeneratedDirectory)`
`void` | `setLastModified(long lastModified)`
`void` | `setPackageName(java.lang.String packageName)`
`void` | `setTaglibCodecDirectiveValue(java.lang.String taglibCodecDirectiveValue)`
`void` | `writeHtmlParts(java.io.File filename)`
`void` | `writeLineNumbers(java.io.File filename)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CODEC_DIRECTIVE_POSTFIX

    public static final java.lang.String CODEC_DIRECTIVE_POSTFIX

### CONFIG_PROPERTY_DEFAULT_CODEC

    public static final java.lang.String CONFIG_PROPERTY_DEFAULT_CODEC

### CONFIG_PROPERTY_GSP_CODECS

    public static final java.lang.String CONFIG_PROPERTY_GSP_CODECS

### CONFIG_PROPERTY_GSP_ENCODING

    public static final java.lang.String CONFIG_PROPERTY_GSP_ENCODING

### CONFIG_PROPERTY_GSP_KEEPGENERATED_DIR

    public static final java.lang.String CONFIG_PROPERTY_GSP_KEEPGENERATED_DIR

### CONFIG_PROPERTY_GSP_SITEMESH_PREPROCESS

    public static final java.lang.String CONFIG_PROPERTY_GSP_SITEMESH_PREPROCESS

### CONSTANT_NAME_CONTENT_TYPE

    public static final java.lang.String CONSTANT_NAME_CONTENT_TYPE

### CONSTANT_NAME_EXPRESSION_CODEC

    public static final java.lang.String CONSTANT_NAME_EXPRESSION_CODEC

### CONSTANT_NAME_JSP_TAGS

    public static final java.lang.String CONSTANT_NAME_JSP_TAGS

### CONSTANT_NAME_LAST_MODIFIED

    public static final java.lang.String CONSTANT_NAME_LAST_MODIFIED

### CONSTANT_NAME_OUT_CODEC

    public static final java.lang.String CONSTANT_NAME_OUT_CODEC

### CONSTANT_NAME_STATIC_CODEC

    public static final java.lang.String CONSTANT_NAME_STATIC_CODEC

### CONSTANT_NAME_TAGLIB_CODEC

    public static final java.lang.String CONSTANT_NAME_TAGLIB_CODEC

### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

### DEFAULT_IMPORTS

    public static final java.lang.String[] DEFAULT_IMPORTS

### GROOVY_SOURCE_CHAR_ENCODING

    public static final java.lang.String GROOVY_SOURCE_CHAR_ENCODING

### LOG

    public static final org.apache.commons.logging.Log LOG

Method Detail

### GroovyPageParser

    public java.lang.Object GroovyPageParser(java.lang.String name, java.lang.String uri, java.lang.String filename, java.io.InputStream in, java.lang.String encoding, java.lang.String expressionCodecName)

### GroovyPageParser

    public java.lang.Object GroovyPageParser(java.lang.String name, java.lang.String uri, java.lang.String filename, java.io.InputStream in)

### flushTagBuffering

    public void flushTagBuffering()

### generateGsp

    public void generateGsp(java.io.Writer target)

### generateGsp

    public void generateGsp(java.io.Writer target, boolean precompileMode)

### getClassName

    public java.lang.String getClassName()

### getContentType

    public java.lang.String getContentType()

### getCurrentOutputLineNumber

    public int getCurrentOutputLineNumber()

### getExpressionCodecDirectiveValue

    public java.lang.String getExpressionCodecDirectiveValue()

### getExpressionText

    public java.lang.String getExpressionText(java.lang.String text)

  Returns an expression text for the given expression
  Parameters:
    `text` - The text
  Returns:
    An expression text

### getExpressionText

    public java.lang.String getExpressionText(java.lang.String text, boolean _safeDereference)

### getHtmlParts

    public java.util.List getHtmlParts()

### getHtmlPartsArray

    public java.lang.String[] getHtmlPartsArray()

### getJspTags

    public java.util.Map getJspTags()

### getLastModified

    public long getLastModified()

### getLineNumberMatrix

    public int[] getLineNumberMatrix()

### getOutCodecDirectiveValue

    public java.lang.String getOutCodecDirectiveValue()

### getPackageName

    public java.lang.String getPackageName()

### getPageName

    public java.lang.String getPageName()

### getStaticCodecDirectiveValue

    public java.lang.String getStaticCodecDirectiveValue()

### getTaglibCodecDirectiveValue

    public java.lang.String getTaglibCodecDirectiveValue()

### isInClosure

    public boolean isInClosure()

### parse

    public java.io.InputStream parse()

### setClassName

    public void setClassName(java.lang.String className)

### setEnableSitemeshPreprocessing

    public void setEnableSitemeshPreprocessing(boolean enableSitemeshPreprocessing)

### setGspEncoding

    public void setGspEncoding(java.lang.String gspEncoding)

### setKeepGeneratedDirectory

    public void setKeepGeneratedDirectory(java.io.File keepGeneratedDirectory)

### setLastModified

    public void setLastModified(long lastModified)

### setPackageName

    public void setPackageName(java.lang.String packageName)

### setTaglibCodecDirectiveValue

    public void setTaglibCodecDirectiveValue(java.lang.String taglibCodecDirectiveValue)

### writeHtmlParts

    public void writeHtmlParts(java.io.File filename)

### writeLineNumbers

    public void writeLineNumbers(java.io.File filename)

Groovy Documentation